Package de.willuhn.jameica.hbci.server

# Class DBSupportH2Impl

java.lang.Object
de.willuhn.jameica.hbci.server.AbstractDBSupportImpl
de.willuhn.jameica.hbci.server.DBSupportH2Impl

All Implemented Interfaces:
  `DBSupport`, `Serializable`

public class DBSupportH2Impl extends AbstractDBSupportImpl
Implementierung des Datenbank-Supports fuer H2-Database (http://www.h2database.com).

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DBSupportH2Impl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkConnection(Connection conn)`
Prueft die Datenbankverbindung.
`boolean`
`getInsertWithID()`
Legt fest, ob SQL-Insert-Queries mit oder ohne ID erzeugt werden sollen.
`String`
`getJdbcDriver()`
Liefert den Klassennamen des JDBC-Treibers.
`String`
`getJdbcPassword()`
Liefert das Passwort des Datenbank-Users.
`String`
`getJdbcUrl()`
Liefert die JDBC-URL.
`String`
`getJdbcUsername()`
Liefert den Usernamen des Datenbank-Users.
`String`
`getScriptPrefix()`
Liefert einen Dateinamens-Prefix, der SQL-Scripts vorangestellt werden soll.
`String`
`getSQLTimestamp(String content)`
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractDBSupportImpl

`execute, getTransactionIsolationLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DBSupportH2Impl

public DBSupportH2Impl()
ct.

## Method Details

### getJdbcDriver

public String getJdbcDriver()
Description copied from interface: `DBSupport`
Liefert den Klassennamen des JDBC-Treibers.

Returns:
  der JDBC-Treiber.
See Also:
  - `DBSupport.getJdbcDriver()`

### getJdbcPassword

public String getJdbcPassword()
Description copied from interface: `DBSupport`
Liefert das Passwort des Datenbank-Users.

Returns:
  das Passwort.
See Also:
  - `DBSupport.getJdbcPassword()`

### getJdbcUrl

public String getJdbcUrl()
Description copied from interface: `DBSupport`
Liefert die JDBC-URL.

Returns:
  die JDBC-URL.
See Also:
  - `DBSupport.getJdbcUrl()`

### getJdbcUsername

public String getJdbcUsername()
Description copied from interface: `DBSupport`
Liefert den Usernamen des Datenbank-Users.

Returns:
  Username.
See Also:
  - `DBSupport.getJdbcUsername()`

### getScriptPrefix

public String getScriptPrefix() throws RemoteException
Description copied from interface: `DBSupport`
Liefert einen Dateinamens-Prefix, der SQL-Scripts vorangestellt werden soll.

Returns:
  Dateinamens-Prefix.
Throws:
  `RemoteException`
See Also:
  - `DBSupport.getScriptPrefix()`

### getSQLTimestamp

public String getSQLTimestamp(String content) throws RemoteException
Description copied from interface: `DBSupport`
Liefert den Namen der SQL-Funktion, mit der die Datenbank aus einem DATE-Feld einen UNIX-Timestamp macht. Bei MySQL ist das z.Bsp. "UNIX_TIMESTAMP".

Parameters:
  `content` - der Feld-Name.
Returns:
  Name der SQL-Funktion samt Parameter. Also zum Beispiel "TONUMBER(datum)".
Throws:
  `RemoteException`
See Also:
  - `DBSupport.getSQLTimestamp(java.lang.String)`

### getInsertWithID

public boolean getInsertWithID() throws RemoteException
Description copied from interface: `DBSupport`
Legt fest, ob SQL-Insert-Queries mit oder ohne ID erzeugt werden sollen.

Returns:
  true, wenn die Insert-Queries mit ID erzeugt werden.
Throws:
  `RemoteException` - Siehe auch: de.willuhn.datasource.db.DBServiceImpl#getInsertWithID()
See Also:
  - `DBSupport.getInsertWithID()`

### checkConnection

public void checkConnection(Connection conn) throws RemoteException
Description copied from interface: `DBSupport`
Prueft die Datenbankverbindung.

Specified by:
  `checkConnection` in interface `DBSupport`
Overrides:
  `checkConnection` in class `AbstractDBSupportImpl`
Parameters:
  `conn` - die Datenbank-Connection.
Throws:
  `RemoteException` - Wenn die Verbindung defekt ist und vom DB-Service neu erzeugt werden muss.
See Also:
  - `AbstractDBSupportImpl.checkConnection(java.sql.Connection)`